<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>JCompType.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Code Coverage for Zookeeper manuall provided Classes</a> &gt; <a href="index.source.html" class="el_package">org.apache.jute.compiler</a> &gt; <span class="el_source">JCompType.java</span></div><h1>JCompType.java</h1><pre class="source lang-java linenums">/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * &quot;License&quot;); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.jute.compiler;

/**
 * Abstract base class for all the &quot;compound&quot; types such as ustring,
 * buffer, vector, map, and record.
 */
abstract class JCompType extends JType {
    
    /** Creates a new instance of JCompType */
    JCompType(String cType, String cppType, String csharpType, String javaType, String suffix, String wrapper, String csharpWrapper) {
<span class="nc" id="L29">        super(cType, cppType, csharpType, javaType, suffix, wrapper, csharpWrapper, null);</span>
<span class="nc" id="L30">    }</span>
    
    String genCppGetSet(String fname, int fIdx) {
<span class="nc" id="L33">        String cgetFunc = &quot;  virtual const &quot;+getCppType()+&quot;&amp; get&quot;+fname+&quot;() const {\n&quot;;</span>
<span class="nc" id="L34">        cgetFunc += &quot;    return m&quot;+fname+&quot;;\n&quot;;</span>
<span class="nc" id="L35">        cgetFunc += &quot;  }\n&quot;;</span>
<span class="nc" id="L36">        String getFunc = &quot;  virtual &quot;+getCppType()+&quot;&amp; get&quot;+fname+&quot;() {\n&quot;;</span>
<span class="nc" id="L37">        getFunc += &quot;    bs_.set(&quot;+fIdx+&quot;);return m&quot;+fname+&quot;;\n&quot;;</span>
<span class="nc" id="L38">        getFunc += &quot;  }\n&quot;;</span>
<span class="nc" id="L39">        return cgetFunc + getFunc;</span>
    }
    
    String genJavaCompareTo(String fname) {
<span class="nc" id="L43">        return &quot;    ret = &quot;+fname+&quot;.compareTo(peer.&quot;+fname+&quot;);\n&quot;;</span>
    }
    
    String genJavaEquals(String fname, String peer) {
<span class="nc" id="L47">        return &quot;    ret = &quot;+fname+&quot;.equals(&quot;+peer+&quot;);\n&quot;;</span>
    }
    
    String genJavaHashCode(String fname) {
<span class="nc" id="L51">        return &quot;    ret = &quot;+fname+&quot;.hashCode();\n&quot;;</span>
    }

    String genCsharpHashCode(String fname) {
<span class="nc" id="L55">        return &quot;    ret = &quot;+capitalize(fname)+&quot;.GetHashCode();\n&quot;;</span>
    }

    String genCsharpEquals(String name, String peer) {
<span class="nc" id="L59">        String[] peerSplit = peer.split(&quot;\\.&quot;);</span>
<span class="nc" id="L60">        return &quot;    ret = &quot;+capitalize(name)+&quot;.Equals(&quot;+peerSplit[0] + &quot;.&quot; + capitalize(peerSplit[1]) + &quot;);\n&quot;;</span>
    }

    String genCsharpCompareTo(String name) {
<span class="nc" id="L64">        return &quot;    ret = &quot;+capitalize(name)+&quot;.CompareTo(peer.&quot;+capitalize(name)+&quot;);\n&quot;;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.7.201606060606</span></div></body></html>